"""
Base resource with user handling
"""

__author__ = '@tormakris'
__copyright__ = "Copyright 2020, onSpot Team"
__module_name__ = "userstoreresource"
__version__text__ = "1"

from flask_restful import Resource

from utils.aes_encrypt import EncryptedUserRedis
from utils.config import ENCODED_SECRET_KEY


class UserStoreResource(Resource):
    encryptor = EncryptedUserRedis(ENCODED_SECRET_KEY)
