#!/usr/bin/env python3
import os

"""
Configuration
"""


__author__ = "@tormakris"
__copyright__ = "Copyright 2020, onSpot Team"
__module_name__ = "config"
__version__text__ = "1"


PORT = os.environ.get("ONSPOT_PORT", 8080)
DEBUG = os.environ.get("ONSPOT_DEBUG", True)
ALLOWED_ORIGINS = os.environ.get('ALLOWED_ORIGINS', '*')

SENTRY_DSN = os.environ.get("SENTRY_DSN")
RELEASE_ID = os.environ.get("RELEASE_ID", "test")
RELEASEMODE = os.environ.get("ONSPOT_RELEASEMODE", "dev")

REDIS_URL = os.getenv("ONSPOT_REDIS_URL")

ENCODED_SECRET_KEY = os.getenv("ONSPOT_ENCODED_SECRET_KEY")

SPOTIFY_CLIENT_ID = os.getenv("ONSPOT_SPOTIFY_CLIENT_ID")
SPOTIFY_CLIENT_SECRET = os.getenv("ONSPOT_SPOTIFY_CLIENT_SECRET")
